package com.jdbernard.teammaker

public abstract class PlayerChooser {
    public abstract Player choose (def players)
    public abstract float calculateOdds(def players, def player)

    public final static Random = new Random(System.currentTimeMillis())
    
    public static final Player chooseRandomly(def choices) {
        choices.sort { rand.nextInt() }
        return choices[0]
    }

}
